Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlbeans.impl.inst2xsd.util
Class Element

    java.lang.Object
      org.apache.xmlbeans.impl.inst2xsd.util.Element

    public class Element

extends java.lang.Object

Author:
  Cezar Andrei (cezar.andrei at bea.com) Date: Jul 16, 2004

Field Summary
`static int` | `UNBOUNDED`

Constructor Summary
`Element()`

Method Summary
`java.lang.String` | `getComment()`
`int` | `getMaxOccurs()`
`int` | `getMinOccurs()`
`javax.xml.namespace.QName` | `getName()`
`Element` | `getRef()`
`Type` | `getType()`
`boolean` | `isGlobal()`
`boolean` | `isNillable()`
`boolean` | `isRef()`
`void` | `setComment(java.lang.String comment)`
`void` | `setGlobal(boolean isGlobal)`
`void` | `setMaxOccurs(int maxOccurs)`
`void` | `setMinOccurs(int minOccurs)`
`void` | `setName(javax.xml.namespace.QName name)`
`void` | `setNillable(boolean isNillable)`
`void` | `setRef(Element ref)`
`void` | `setType(Type type)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### UNBOUNDED

    public static final int UNBOUNDED

See Also:
  Constant Field Values

Constructor Detail

### Element

    public Element()

Method Detail

### getName

    public javax.xml.namespace.QName getName()

### setName

    public void setName(javax.xml.namespace.QName name)

### isRef

    public boolean isRef()

### getRef

    public Element getRef()

### setRef

    public void setRef(Element ref)

### isGlobal

    public boolean isGlobal()

### setGlobal

    public void setGlobal(boolean isGlobal)

### getMinOccurs

    public int getMinOccurs()

### setMinOccurs

    public void setMinOccurs(int minOccurs)

### getMaxOccurs

    public int getMaxOccurs()

### setMaxOccurs

    public void setMaxOccurs(int maxOccurs)

### isNillable

    public boolean isNillable()

### setNillable

    public void setNillable(boolean isNillable)

### getType

    public Type getType()

### setType

    public void setType(Type type)

### getComment

    public java.lang.String getComment()

### setComment

    public void setComment(java.lang.String comment)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD